SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001809SiT!outbound emailpublic2012-10-09 20:552013-07-03 13:44
ReporterSLionB 
Assigned Topaulh 
PriorityimmediateSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSLinuxOS Version2.6+later
Product Version3.65 LTS 
Target Version3.68Fixed in VersionCurrent SVN 
Summary0001809: CC and BCC recipients used in Templates are ignored by Email Triggers
DescriptionCC and BCC recipients used in Templates are ignored by Email Triggers
Steps To Reproducein functions.inc.php
function send_email($to, $from, $subject, $body, $replyto='', $cc='', $bcc='')

in function body the local variables used for cc and bcc are not the function parameters

if (!empty($email_cc))
    {
        $extra_headers .= "CC: {$cc}" . $crlf;
    }
    if (!empty($email_bcc))
    {
        $extra_headers .= "BCC: {$bcc}" . $crlf;
    }

$email_cc and $email_bcc
must be replaced by
$cc, and $bcc
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0004545)
ivan (administrator)
2012-10-12 11:52

Thanks for the bug report. I can confirm this.
User avatar (0004762)
paulh (administrator)
2013-04-01 19:58

Thanks SLionB, this is now resolves in r7574 and git 2975ea68547804aee3d8885c48b4525fefe2f87a

- Issue History
Date Modified Username Field Change
2012-10-09 20:55 SLionB New Issue
2012-10-12 11:52 ivan Note Added: 0004545
2012-10-12 11:52 ivan Assigned To => ivan
2012-10-12 11:52 ivan Status new => confirmed
2013-04-01 19:58 paulh Note Added: 0004762
2013-04-01 19:58 paulh Assigned To ivan => paulh
2013-04-01 19:58 paulh Status confirmed => resolved
2013-04-01 19:58 paulh Resolution open => fixed
2013-04-01 19:58 paulh Fixed in Version => Current SVN
2013-07-03 13:44 ivan Target Version => 3.68


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker